Skip to main content

Collection

POST 

https://core-prod.malipopay.co.tz/api/v1/payment/collection

Processes a collection payment from a customer's mobile money account.

Request

Bodyrequired

    referencestring

    Unique reference for the payment. Can be left empty if the server generates one.

    descriptionstringrequired

    Description of the payment.

    Example: testing payment
    amountintegerrequired

    Amount of the payment in smallest currency unit (e.g., cents).

    Example: 1000
    phoneNumberstringrequired

    The phone number associated with the payment.

    Example: 255742200105

Responses

Payment created successfully

Schema
    customer objectrequired
    _idstring

    Unique identifier for the customer.

    Example: 6281559426fa29659c5ac38a
    phoneNumberstring

    Phone number of the customer.

    Example: 255684118011
    firstnamestring

    First name of the customer.

    Example: FRANCIS
    lastnamestring

    Last name of the customer.

    Example: MWAKATUMBULA
    mnostring

    Mobile Network Operator name.

    Example: Airtel
    merchantAccountIdstringrequired

    Name of the merchant account.

    Example: Lockwood Technology
    modestringrequired

    Mode of payment processing.

    Example: CHARGE
    referencestringrequired

    Reference number for the payment.

    Example: ML21030
    amountintegerrequired

    Amount being charged.

    Example: 1000
    currencystringrequired

    Currency code for the transaction.

    Example: TZS
    linkstring

    Link to the payment gateway or receipt.

    statusstringrequired

    Current status of the payment.

    Example: PROCESSING

Authorization: apiToken

name: apiTokentype: apiKeyin: headerdescription: Project API key. Get yours from the Malipopay dashboard under Settings → API Keys.
curl -L 'https://core-prod.malipopay.co.tz/api/v1/payment/collection' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'apiToken: <apiToken>' \
-d '{
"reference": "string",
"description": "testing payment",
"amount": 1000,
"phoneNumber": "255742200105"
}'
Request
Base URL
https://core-prod.malipopay.co.tz
Auth
Body required
{
  "reference": "string",
  "description": "testing payment",
  "amount": 1000,
  "phoneNumber": "255742200105"
}
Response

Click the Send API Request button above and see the response here!